%define anolis_release 4

Summary:        Format POD source into various output format
Name:           perl-podlators
Version:        5.01
Release:        %{anolis_release}%{?dist}
# pod/perlpodstyle.pod:     FSFAP
# other files:              GPL+ or Artistic
## Not in the binary package
# t/data/basic.*:         FSFAP
# t/data/snippets/man/uppercase-license:    MIT
# t/data/snippets/README:   FSFAP
# t/docs/*:             MIT
# t/lib/Test/RRA*:        MIT
# t/style/minimum-version.t:        MIT
# t/style/module-version.t:         MIT
# t/style/strict.t:         MIT
License:        (GPL+ or Artistic) and FSFAP
URL:            https://metacpan.org/release/podlators
Source0:        https://cpan.metacpan.org/authors/id/R/RR/RRA/podlators-%{version}.tar.gz


BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8
BuildRequires:  perl(Config)

BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76

BuildRequires:  perl(File::Basename)

BuildRequires:  perl(File::Spec) >= 0.8
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)

BuildRequires:  perl(Pod::Simple) >= 3.06

BuildRequires:  perl(POSIX)
BuildRequires:  perl(subs)
BuildRequires:  perl(Term::ANSIColor)
BuildRequires:  perl(Term::Cap)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(base)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More)

BuildRequires:  perl(PerlIO::encoding)

Requires:       perl(File::Basename)

Requires:       perl(File::Spec) >= 0.8
Requires:       perl(Pod::Simple) >= 3.06
Conflicts:      perl < 4:5.16.1-234

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Pod::Simple\\)$

%description
This package contains Pod::Man and Pod::Text modules which convert POD input
to *roff source output, suitable for man pages, or plain text.  It also
includes several sub-classes of Pod::Text for formatted output to terminals
with various capabilities.

Pod::Man and Pod::Text. The Pod::Man module converts POD into nroff/troff
source and the latter into plain text (with various options controlling some
of the formatting). There are also several subclasses of Pod::Text for
generating slightly formatted text using color or other terminal control
escapes, and a general utility module, Pod::ParseLink, for parsing the POD
L<> formatting sequences. Also included in this package are the pod2text
and pod2man driver scripts.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n podlators-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset AUTHOR_TESTING AUTOMATED_TESTING RELEASE_TESTING
make test

%files
%license LICENSE
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files doc
%doc Changes README README.md THANKS TODO

%changelog
* Wed Apr 12 2023 Kun(llfl) <llfl@linux.alibaba.com> - 5.01-4
- optimize spec file

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.01-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.01-2
- rebuild with perl 5.36.0

* Mon Jan 23 2023 Funda Wang <fundawang@yeah.net> - 5.01-1
- New version 5.01

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.14-2
- add doc package

* Fri Mar 11 2022 Yaobin Shi <shiyaobin.syb@alibaba-inc.com> - 4.14-1
- Init for Anolis OS 23
